# makefile
# This is the makefile for DOS
#
# If you want to run LREADgui, please set JAVAC and JAR

#########################################################################
# Needed for LREADgui, the graphical user interface for LREAD
# JAVA compiler (tested with JDK 1.1.7 and JDK 1.2.0
# (paths and CLASSPATH must have been setup correctly)
JAVAC=javac -O
JAR=jar
#
##########################################################################

####no user configurable items below this line############################

all:            lreadgui

lreadgui:
                $(JAVAC) lreadgui.java
                $(JAR)   -cf lreadgui.jar  *.class
                @if exist ..\..\bin\lreadgui.jar del ..\..\bin\lreadgui.jar
                @copy  lreadgui.jar ..\..\bin
                @copy lreadgui.bat ..\..\bin

exe:
                sj -O -obj -link lreadgui.exe -main lreadgui @lreadgui.lnk

clean:
		@if exist *.obj   del *.obj
		@if exist *.sym   del *.sym
		@if exist *.bak   del *.bak
		@if exist *.exe   del *.exe
                @if exist *.class del *.class
                @if exist *.jar   del *.jar
		@if exist zzz.zwz del zzz.zwz
                @if exist zzz.xxx del zzz.xxx
                @if exist ..\..\bin\zzz.zwz   del ..\..\bin\zzz.zwz
                @if exist ..\..\bin\zzz.xxx   del ..\..\bin\zzz.xxx
